Bug 156808 - flac 1.1.2-25 conflicts good version of xmms-flac
flac 1.1.2-25 conflicts good version of xmms-flac
Product: Fedora
Classification: Fedora
Component: flac (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
  Show dependency treegraph
Reported: 2005-05-04 09:17 EDT by Mephisto
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-04 11:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mephisto 2005-05-04 09:17:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
flac 1.1.2-25 wants to uninstall xmms-flac. although this is probably done to get rid of the buggy versions of 1.1.2 that caused xmms to crash, i have a 1.1.0 based xmms-flac installed, and i want to keep that...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install xmms-flac < 1.1.2
2. install flac-1.1.2-25

Actual Results:  installing flac wants to uninstall xmms-flac (1.1.0, in my case)

Expected Results:  flac should have installed without complaining about the older version of xmms-flac.

Additional info:
Comment 1 John (J5) Palmieri 2005-05-04 11:44:04 EDT
xmms is no longer in core so we no longer build xmms-flac.  Since they are from
the same sources the new xmms will want to uninstall xmms-flac.  Your best bet
is to find a maintainer for Fedora extras or become one youself.
Comment 2 Mephisto 2005-05-05 05:04:24 EDT
wth? how come xmms is no longer in core? its the most popular audio player
around! its just about the only audio player with a userfriendly GUI. and how
come flac is in core then? flac is typical 'additional functionality' in my view...

but besides that, how do i become a maintainer then? i've been building my own
apt repository for a few months now, so i dont think it should be a big problem.
but i'd probably want an apt-enabled extras mirror first, cause i prefer apt
over yum, so dont count too much on me...

but i also dont see why this cant be fixed. the spec file contains this:
Obsoletes: xmms-flac < 1.1.2-24
so changing it to
Obsoletes: xmms-flac = 1.1.2 (or "xmms-flac >= 1.1.2" if that doesnt work)
would get you rid of all bad xmms-flac packages without forcing people to
uninstall older versions.
Comment 3 John (J5) Palmieri 2005-05-05 12:00:59 EDT
I can take the obsoletes line out.  But as far as complaining about XMMS not
being in core that is not what bugzilla is for.  Flac is a library used by many
other programs, not just XMMS.  Extras is the perfect place for XMMS since it
allows the community to work on it and package it.  If it is as popular as you
say then there will be at least one person in the community who will step up to
the plate.   To become a maintainer check out
Comment 4 Mephisto 2005-05-05 18:19:30 EDT
sorry about the rant. it just surprised me, cause i hadn't heard about xmms
being taken out of core yet.
if it has no maintainer once fc4 comes out (and extras probably has an apt
mirror by then), i would take ownership of the package, but since i cant test it
against other stuff in extras now, i dont think thats a good idea. i dont plan
to re-install yum any time soon, nor use the official mirrors to get updates,
since they are *very* slow for me. fc4 extras really needs more (apt enabled)
mirrors... (but i suppose this isnt the place to discuss that either)

Note You need to log in before you can comment on or make changes to this bug.